Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.ww2.actions.build.admin.edit
Class EditProjectPlanName

    java.lang.Object
      ActionSupport
          com.atlassian.bamboo.ww2.BambooActionSupport
              com.atlassian.bamboo.ww2.actions.BuildActionSupport
                  com.atlassian.bamboo.ww2.actions.build.admin.edit.EditProjectPlanName

All Implemented Interfaces:
  ErrorCollection, BambooSessionAware, BuildAware, ReturnUrlAware

    public class EditProjectPlanName

extends BuildActionSupport

Field Summary
`static String` | `ILLEGAL_NAME_CHARACTER`

Fields inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`buildManager, CONFIRM, cookieCutter`

Constructor Summary
`EditProjectPlanName()`

Method Summary
`String` | `doCreate()`
`String` | `doDefault()`
`String` | `getBuildName()`
`String` | `getProjectName()`
`void` | `setBuildName(String buildName)`
`void` | `setProjectName(String projectName)`
`void` | `validate()`

Methods inherited from class com.atlassian.bamboo.ww2.actions.BuildActionSupport
`getBuild, getBuildKey, getCurrentlyRunningBuild, getPluginManager, getPluginMenuItems, setBuild, setBuildKey, setPluginManager`

Methods inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`addError, addError, addErrorCollection, addErrorMessage, addErrorMessages, addErrors, addIllegalArgumentException, doesLabelKeyHaveMatchingDescription, getAsPreformattedText, getBamboo, getBambooSession, getBreadCrumbs, getBuildManager, getConglomerateCookieValue, getCookieCutter, getCookieValue, getCurrentUrl, getDescriptionFromLabelKey, getFlushedErrorMessages, getReturnUrl, getUser, getWebItemsForSection, getWebResourceManager, getWebSectionsForLocation, hasAnyErrors, hasBuilds, hasPerm, isEnableSignup, isSelectFieldAndNull, setAuthenticationContext, setBambooPermissionManager, setBuildManager, setCookieCutter, setErrorMessages, setHtmlUtils, setReturnUrl, setWebInterfaceManager, setWebResourceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.utils.error.ErrorCollection
`getErrorMessages, getErrors, getFieldErrors`

Field Detail

### ILLEGAL_NAME_CHARACTER

    public static final String ILLEGAL_NAME_CHARACTER

See Also:
  Constant Field Values

Constructor Detail

### EditProjectPlanName

    public EditProjectPlanName()

Method Detail

### doDefault

    public String doDefault()
                     throws Exception

  Overrides:
    `doDefault` in class `BambooActionSupport`
  Throws:
    `Exception`

### validate

    public void validate()

### doCreate

    public String doCreate()
                    throws Exception

  Throws:
    `Exception`

### getBuildName

    public String getBuildName()

### setBuildName

    public void setBuildName(String buildName)

### getProjectName

    public String getProjectName()

### setProjectName

    public void setProjectName(String projectName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.